﻿using System;

namespace Scully
{
    class PhilStringCounter
    {

        public int countChars(string string_)
        {
            if (string_ == null)
            {
                return 0;
            }

            return string_.Length;
        }

        public int countCharsWithoutSpaces(string string_)
        {
            if (string_ == null)
            {
                return 0;
            }

            string_ = string_.Trim();
            string_ = string_.Replace(" ", "");

            return string_.Length;
        }

        public int countWords(string string_)
        {
            if (string_ == null)
            {
                return 0;
            }
            string_ = string_.Trim();

            // count spaces
            int length_ = string_.Length;
            char char_now;
            char char_last = '_';
            int word_count = 0;

            if (length_ > 0)
                word_count = 1;


            for (int i = 0; i < length_; i++)
            {
                char_now = string_[i];
                if (i == 0)
                {
                    char_last = char_now;
                }

                if (char.IsWhiteSpace(char_now) && !char.IsWhiteSpace(char_last) ) //&& !char.IsPunctuation(char_last))
                {
                    // count as word
                    word_count++;
                }

                char_last = char_now;
            }

            return word_count;
        }
    }

}
