﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Scully
{
    /// <summary>
    /// Interaction logic for WindowBlank.xaml
    /// </summary>
    public partial class WindowBlank : Window
    {
        public WindowBlank()
        {
            InitializeComponent();
        }


        public void focusOwner()
        {
           // Owner.Focus();
            Owner.Activate();
        }

        private void windowBlank_GotFocus(object sender, RoutedEventArgs e)
        {
            focusOwner();
        }

        private void windowBlank_StateChanged(object sender, EventArgs e)
        {
            
        }

        private void windowBlank_Loaded(object sender, RoutedEventArgs e)
        {

            this.BorderThickness = new Thickness(0);
            this.ResizeMode = ResizeMode.NoResize;
            this.WindowStyle = WindowStyle.None;

            this.Focusable = false;

            this.WindowState = WindowState.Maximized;
            focusOwner();
        }
    }
}
