﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Scully
{
    public class AppGlobals
    {
        public static readonly string appNameShort = "Scully";
        public static readonly string appNameLong = "Scully Text Editor";
        public static readonly string appNameInternal = "scully";
        public static readonly string appCreator = "Pixel Prophecy";

        public static readonly string appVersion = typeof(App).Assembly.GetName().Version.ToString(); // "0.1";

        public static readonly string appYear = "2016-2017";
        public static readonly bool abbIsBeta = true;

        public static string appVersionShort()
        {

            // find second dot from the front to clip from there
            string shortened;
            int occ1;
            int occ2;
            occ1 = appVersion.IndexOf("."); // get first occurance of "."
            occ2 = appVersion.IndexOf(".", occ1+1); // get second "."

            shortened = appVersion.Substring(0, occ2);
            return shortened;
        }
    }
}
